unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Sqlite3DS, sqlite3conn, sqldb, db, FileUtil, Forms,
  Controls, Graphics, Dialogs, DBGrids, DbCtrls, StdCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    cbRO: TCheckBox;
    dsData: TDataSource;
    dsCode: TDataSource;
    DBGrid1: TDBGrid;
    DBGrid2: TDBGrid;
    DBLookupComboBox1: TDBLookupComboBox;
    SQLite3Connection1: TSQLite3Connection;
    SQLQuery_Data: TSQLQuery;
    SQLQuery_Code: TSQLQuery;
    SQLTransaction1: TSQLTransaction;
    procedure cbROChange(Sender: TObject);
    procedure DBGrid1SelectEditor(Sender: TObject; Column: TColumn;
      var Editor: TWinControl);
    procedure FormCreate(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
begin
  if SQLQuery_Data.Active then SQLQuery_Data.Close;
  SQLQuery_Data.SQL.Text:='SELECT betrag,zahlungsart FROM zahlung;';
  SQLQuery_Data.Open;

  if SQLQuery_Code.Active then SQLQuery_Code.Close;
  SQLQuery_Code.SQL.Text:='SELECT code,codetext FROM dcode;';
  SQLQuery_Code.Open;

  DBLookupComboBox1.DataSource:=dsData;
  DBLookupComboBox1.DataField:='zahlungsart';
  DBLookupComboBox1.ListSource:=dsCode;
  DBLookupComboBox1.ListField:='codetext';
  DBLookupComboBox1.KeyField:='code';

  DBGrid1.DefaultRowHeight:=DBLookupComboBox1.Height;

end;

procedure TForm1.DBGrid1SelectEditor(Sender: TObject; Column: TColumn;
  var Editor: TWinControl);
begin
  if DBLookupComboBox1.DataField=Column.FieldName then begin
    DBLookupComboBox1.BoundsRect:=DBGrid1.SelectedFieldRect;
    Editor:=DBLookupComboBox1;
    DBLookupComboBox1.Visible:=true;
  end;
end;

procedure TForm1.cbROChange(Sender: TObject);
begin
  DBLookupComboBox1.ReadOnly:=cbRO.Checked;
end;

end.

